
const pages = [  
  {
    path: 'dashboard',
    name: 'dashboard',
    component: () => import('./Dashboard.vue'),
    meta: {
      menuShow: true,
      title: 'Dashboard',
    }
  },
  {
    path: 'consultant',
    name: 'consultant',
    redirect: 'consultant/list',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '置业管理',
    },
    children: [
      {
        path: 'list',
        name: 'consultant.list',
        component: () => import('./consultant/list.vue'),
        meta: {
          menuShow: true,
          title: '置业列表',
        },
      },
      {
        path: 'edit/:id?',
        name: 'consultant.edit',
        component: () => import('./consultant/edit.vue'),
        meta: {
          menuShow: true,
          title: '置业管理',
        },
      },
    ]
  },
  {
    path: 'project',
    name: 'project',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '项目管理',
    },
    children: [
      {
        path: 'project',
        name: 'project.list',
        component: () => import('./project/list.vue'),
        meta: {
          menuShow: true,
          title: '项目列表',
        },
      },
      {
        path: 'project/edit',
        name: 'projectedit',
        component: () => import('./project/edit.vue'),
        meta: {
          menuShow: false,
          title: '项目编辑',
        },
      },
    ]
  },
  {
    path: 'building',
    name: 'building',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '楼盘设置',
    },
    children: [
      {
        path: 'dynamic',
        name: 'dynamiclist',
        component: () => import('./dynamic/list.vue'),
        meta: {
          menuShow: true,
          title: '项目动态列表',
        },
      },
      {
        path: 'dynamic/edit',
        name: 'dynamicedit',
        component: () => import('./dynamic/edit.vue'),
        meta: {
          menuShow: false,
          title: '项目动态编辑',
        },
      },
      {
        path: 'buildinglist',
        name: 'buildinglist',
        component: () => import('./building/list.vue'),
        meta: {
          menuShow: true,
          title: '楼盘列表',
        },
      },
      {
        path: 'buildingedit',
        name: 'buildingedit',
        component: () => import('./building/edit.vue'),
        meta: {
          menuShow: false,
        },
      }
    ]
  },
  {
    path: 'customer',
    name: 'customer',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '客户管理',
    },
    children: [
      {
        path: 'customerlist',
        name: 'customerlist',
        component: () => import('./customer/list.vue'),
        meta: {
          menuShow: true,
          title: '客户列表',
        },
      }
    ]
  },
  {
    path: '/news',
    name: 'news',
    component: () => import('./index.vue'),
    meta: {
      menuShow: true,
      title: '咨迅管理',
    },
    children: [
      {
        path: '/news/type/list',
        name: 'news-type-list',
        component: () => import('./news/index.vue'),
        meta: {
          menuShow: true,
          title: '咨迅类型',
        },
      }
    ]
  },
]

const flatten = (rts, parents = []) => {
  return rts.reduce((acc, rt) => {
    const chs = rt.children && rt.children.length ?
      flatten(rt.children, parents.concat(rt)) : []
    
    return [...acc, { ...rt, parents }, ...chs]
  }, [])
}

const pageArray = flatten(pages)

export { pages, pageArray }
